
function displayFlashMessages() {
	if(!$('flash-messages').visible()){
		$('flash-messages').slideDown();
	}
}

function autoHideFlashMessages() {
	$('flash-messages').blindUp({duration: 2.0});
}

function closeFlashMessages() {
	$('flash-messages').blindUp({duration: 0.3});
}

function alertFlashMessage(message) {
	$('alert-flash-message').innerHTML = message;
	if( !$('alert-flash-message').visible() ) {
		$('alert-flash-message').appear({ duration: 1.0 });
	}
}

function hideAlertFlashMessage() {
	if( $('alert-flash-message').visible() ) {
		$('alert-flash-message').fade({duration: 0.3});
	}
}

function disableSubmitButton(){
	$('submit-button-general').disabled = true;
}